/**
 * Created by IntelliJ IDEA.
 * User: m09ega
 * Date: 07.10.2009
 * Time: 18:22:59
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.*;

public class PrE {
    public static void main(String[]args)throws Exception{
        Scanner in = new Scanner (new File("sort.in"));
        PrintWriter out = new PrintWriter ("sort.out");
        int n = in.nextInt();
        int[] a = new int[n];
        for (int i = 0; i<(n); i++){
            a[i]=in.nextInt();
        }
        for (int i = 0; i<(n); i++){
            for (int k = 1; k<(n); k++){
                if (a[k-1]>a[k]){
                    int t=a[k];
                    a[k]=a[k-1];
                    a[k-1]=t;
                }
            }
        }
        for (int i = 0; i<(n); i++){
            out.print(a[i]+" ");
        }
        in.close();
        out.close();
    }
}
